## criu 1.3.1

=== debian/changelog ===
criu (1.3.1-1) unstable; urgency=medium

  * Imported Upstream version 1.3.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 13 Sep 2014 16:26:08 +0200

criu (1.3-1) unstable; urgency=low

  * Imported Upstream version 1.3
  * Update Vcs-Browser URL to cgit web frontend
  * Drop spelling-error-in-manpage.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 01 Sep 2014 17:18:49 +0200

criu (1.3~rc2-5) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 01 Aug 2014 11:53:05 +0200

criu (1.3~rc2-4) experimental; urgency=low

  * New Maintainer (Closes: #756087)
  * Wrap and sort fields in debian/control file
  * Change Vcs-Fields to the collab-maint repository on alioth
  * Update Build-Depends on libprotobuf-c-dev rather than libprotobuf-c0-dev
  * Drop override for dh_builddeb.
    Default compression for dpkg-deb when building a package is now xz.
  * Drop explicit xz compression option through debian/source/options
  * Add debian/watch file to scan upstream sources for new releases
  * Add myself to copyright holders for debian/* packaging
  * Update Upstream-Name in debian/copyright to CRIU
  * Update location of upstream git repository in debian/copyright Source field
  * Update patch header for 0002-unused-function.patch
  * Add spelling-error-in-manpage.patch patch.
    Fix spelling errors in manpage.
  * Drop override for dh_auto_clean.
    Explicit override to clean Documentation build is not needed anymore.
  * Drop override for dh_auto_build.
    Explicit override to build Documentation is not needed.
  * Drop 0001-documentation.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 31 Jul 2014 13:42:53 +0200

criu (1.3~rc2-3) unstable; urgency=low

  * I don't care anymore, not worth it.. orphaning.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 25 Jul 2014 20:54:56 +0200

criu (1.3~rc2-2) unstable; urgency=low

  * Adding patch from Arthur Marble <arthur@info9.net> to fix FTBFS with
    clang (Closes: #753845).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 16 Jul 2014 22:25:21 +0200

criu (1.3~rc2-1) unstable; urgency=low

  * Merging upstream version 1.3~rc2.
  * Making wheezy-compatible alternative recommends to iproute2 (Closes:
    #753706).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 05 Jul 2014 08:53:47 +0200

criu (1.3~rc1-1) unstable; urgency=low

  * Merging upstream version 1.3~rc1.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 27 Apr 2014 11:59:07 +0200

criu (1.2-2) unstable; urgency=low

  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 19:45:46 +0200

criu (1.2-1) experimental; urgency=low

  * Merging upstream version 1.2.
  * Updating year in copyright for 2014.
  * Refreshing documentation.patch.
  * Updating rules for logrotate files installation.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 01 Mar 2014 13:38:13 +0100

criu (1.1-1) experimental; urgency=low

  * Merging upstream version 1.1.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 01 Feb 2014 06:39:06 +0100

criu (1.1~rc2-1) experimental; urgency=low

  * Merging upstream version 1.1~rc2.
  * Refreshing documentation.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 26 Jan 2014 19:15:52 +0100

criu (1.1~rc1-1) experimental; urgency=low

  * Merging upstream version 1.1~rc1.
  * Updating year in copyright file for 2014.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 17 Jan 2014 06:15:52 +0100

criu (1.0-1) experimental; urgency=low

  * Updating to standards version 3.9.5.
  * Merging upstream version 1.0.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 25 Nov 2013 20:04:24 +0100

criu (0.8-1) experimental; urgency=low

  * Merging upstream version 0.8.
  * Adding another comma in depends list for consistency reasons.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 22 Oct 2013 23:37:03 +0200

criu (0.7-1) experimental; urgency=low

  * Merging upstream version 0.7.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 03 Sep 2013 15:00:44 +0200

criu (0.6-2) experimental; urgency=low

  * Adding vcs fields.
  * Wrapping control fields.
  * Updating vcs fields.
  * Removing crtools transitional packaging now that crtools has been
    removed (was post-wheezy introduced).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 16 Aug 2013 11:37:17 +0200

criu (0.6-1) experimental; urgency=low

  * Merging upstream version 0.6.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 15 Jul 2013 19:10:45 +0200

criu (0.5+20130521-2) experimental; urgency=low

  * Update packaging for upstreams rename of crtools to criu.
  * Adding transitional package for crtools.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 23 May 2013 11:01:32 +0200

crtools (0.5+20130521-1) experimental; urgency=low

  * Merging upstream version 0.5+20130521:
    - fixes FTBFS with eglibc 2.17 (Closes: #701265).
  * Building package on armhf.
  * Rediffing documentation.patch.
  * Using upstreams install target rather than debhelper files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 23 May 2013 09:52:14 +0200

crtools (0.4-2) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:23:54 +0100

crtools (0.4-1) unstable; urgency=low

  * Merging upstream version 0.4.
  * Including upstreams credits file as documentation.
  * Adding asciidoc and xmlto to build-depends.
  * Adding patch to remove non-working echo entries from documentation
    makefile.
  * Building and including crtools manpage.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 26 Feb 2013 13:11:20 +0100

crtools (0.3-1) unstable; urgency=low

  * Merging upstream version 0.3.
  * Updating years in copyright file.
  * Dropping dpkg-source compression levels.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 28 Jan 2013 06:35:54 +0100

crtools (0.2-2) unstable; urgency=low


