=== debian/control ===
Source: criu
Section: admin
Priority: optional
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Build-Depends:
 asciidoc,
 debhelper (>= 9),
 libprotobuf-c-dev,
 protobuf-c-compiler,
 xmlto
Standards-Version: 3.9.5
Homepage: http://www.criu.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/criu.git
Vcs-Git: git://anonscm.debian.org/collab-maint/criu.git

Package: criu
Architecture: amd64 armhf
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: iproute2 | iproute
Description: checkpoint and restore in userspace
 criu contains the utilities to checkpoint and restore processes in
 userspace.

Package: criu-dbg
Section: debug
Priority: extra
Architecture: amd64 armhf
Depends: criu (= ${binary:Version}), ${misc:Depends}
Description: checkpoint and restore in userspace (debug)
 criu contains the utilities to checkpoint and restore processes in
 userspace.
 .
 This package contains the debugging symbols.
