=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=-all

%:
	dh ${@} --parallel

override_dh_auto_install:
	mkdir -p debian/criu/etc/logrotate.d

	dh_auto_install -- DESTDIR="$(CURDIR)/debian/criu" PREFIX="/usr" LOGROTATEDIR="/etc/logrotate.d"

override_dh_auto_test:
	# disabled: doesn't work yet

override_dh_strip:
	dh_strip --dbg-package=criu-dbg
