=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=-all
 
 %:
-	dh ${@} --parallel
+	dh ${@} --parallel --with python2
 
 override_dh_auto_install:
 	mkdir -p debian/criu/etc/logrotate.d
