=== debian/changelog ===
criu (1.7-3) unstable; urgency=medium

  * Add 01-reproducible-build.diff patch.
    Make build reproducible.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #801211)
  * Don't install criu systemd service files and logrotate script.
    Don't install criu.service, criu.socket and corresponding logrotate
    script for criu.service. (Closes: #792008)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 08 Oct 2015 12:30:33 +0200

criu (1.7-2) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 12 Sep 2015 07:55:51 +0200

criu (1.7-1) experimental; urgency=low

  * Imported Upstream version 1.7
  * Add copyright stanza for arch/ppc64/misc.S
  * Drop 0001-Fix-spelling-errors-in-documentation.patch patch
  * Drop 0002-Fix-spelling-error-in-usage-text.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 07 Sep 2015 12:35:44 +0200

criu (1.6.1-1) experimental; urgency=low

  * Imported Upstream version 1.6.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Sep 2015 07:52:03 +0200
