=== debian/control ===
--- 
+++ 
@@ -5,8 +5,12 @@
 Build-Depends:
  asciidoc,
  debhelper (>= 9),
+ dh-python,
  libprotobuf-c-dev,
+ libprotobuf-dev,
  protobuf-c-compiler,
+ protobuf-compiler,
+ python-all (>= 2.6.6-3~),
  xmlto
 Standards-Version: 3.9.6
 Homepage: http://www.criu.org/
@@ -15,7 +19,7 @@
 
 Package: criu
 Architecture: amd64 armhf
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: python-ipaddr, python-protobuf, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Recommends: iproute2 | iproute
 Description: checkpoint and restore in userspace
  criu contains the utilities to checkpoint and restore processes in
