## criu 1.7.2

=== debian/changelog ===
criu (1.7.2-2) unstable; urgency=medium

  * Add missing copyright stanza for included sd-daemon.[ch] files
  * Enable ppc64el support.
    Thanks to Breno Leitao <brenohl@br.ibm.com> and Laurent Dufour
    <ldufour@linux.vnet.ibm.com> (Closes: #788491)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Dec 2015 11:42:51 +0100

criu (1.7.2-1) unstable; urgency=medium

  * Imported Upstream version 1.7.2

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 29 Oct 2015 15:42:58 +0100
